Subject: ACM & Replication (Was: LDAPEXT Minutes)

From: "Kurt D. Zeilenga" <[email-masked]>
Date: Tue, 17 Apr 2001 12:41:19 -0700

At 10:56 AM 4/17/01, Mark Wahl wrote:
>ACL
> - replication requirements
>
>As John Strassner, co-chair of LDUP, requested that replication requirements 
>of a document should be addressed in the working group where the document is 
>authored, Rick Huber will incorporate replication requirements into the 
>access control drafts.

Is there a description of what "replication requirements" which
need to be addressed?  I can find no discussion of replication
requirements upon the LDAP ACM in RFC 2820 nor the LDUP requirements
document (though the latter details requirements upon LDUP to
replicate access control information).

Thanks, Kurt

---

From: [email-masked] (Richard V Huber)
Date: Tue, 17 Apr 2001 19:16:59 -0400

: Are you saying here that LDAP ACM would be used to control what
: was replicated between servers?  That seems presumptive.

No, replication agreements control what is replicated among servers.

All I'm saying is that the format specified by the ACM for representing
access control information on the wire is also the format LDUP should
use to transport access control information during replication.  So
there should be a few additions to the ACM draft to clarify this
additional intended use.

Rick Huber

: From [email-masked] Tue Apr 17 18:50:59 2001
: Return-Path: <[email-masked]>
: X-Sender: [email-masked]
: To: [email-masked] (Richard V Huber)
: From: "Kurt D. Zeilenga" <[email-masked]>
: Subject: Re: ACM & Replication (Was: LDAPEXT Minutes)
: Cc: [email-masked], [email-masked]
: Mime-Version: 1.0
: 
: At 02:00 PM 4/17/01, Richard V Huber wrote:
: >The main replication-related change to the ACM draft is to make it
: >clear that the ACM applies to wire-line flows of data being
: >replicated.
: 
: Are you saying here that LDAP ACM would be used to control what
: was replicated between servers?  That seems presumptive.
: 
: >Ellen Stokes agreed to add that to the ACM draft.  I'll propose
: >specific wording if needed.
: 
: Please do. That would allow some WG discussion of the specifics.
: I certainly not sure what type of clarification you trying to
: make.
: 
: I note I belief that the section paragraph of the Introduction and
: the second paragraph of the Security Considerations were pretty
: clear as how LDAP replication issues related to the LDAP ACM
: are to be addressed.  That is, such issues are "out of scope".
: I would certainly question any attempt to bring them into scope.
: 
: Kurt